diff --git a/spring-webmvc/src/test/java/org/springframework/web/servlet/view/freemarker/FreeMarkerMacroTests.java b/spring-webmvc/src/test/java/org/springframework/web/servlet/view/freemarker/FreeMarkerMacroTests.java
index c4b3507b545..6a1aa61b42e 100644
--- a/spring-webmvc/src/test/java/org/springframework/web/servlet/view/freemarker/FreeMarkerMacroTests.java
+++ b/spring-webmvc/src/test/java/org/springframework/web/servlet/view/freemarker/FreeMarkerMacroTests.java
@@ -45,6 +45,7 @@
 import org.springframework.web.servlet.support.BindStatus;
 import org.springframework.web.servlet.support.RequestContext;
 import org.springframework.web.servlet.theme.FixedThemeResolver;
+import org.springframework.web.servlet.view.AbstractTemplateView;
 import org.springframework.web.servlet.view.DummyMacroRequestContext;
 
 import static org.assertj.core.api.Assertions.assertThat;
@@ -52,6 +53,7 @@
 /**
  * @author Darren Davison
  * @author Juergen Hoeller
+ * @author Sam Brannen
  * @since 25.01.2005
  */
 public class FreeMarkerMacroTests {
@@ -107,7 +109,6 @@ protected void processTemplate(Template template, SimpleHash fmModel, HttpServle
 		};
 		fv.setUrl(TEMPLATE_FILE);
 		fv.setApplicationContext(wac);
-		fv.setExposeSpringMacroHelpers(true);
 
 		Map<String, Object> model = new HashMap<>();
 		model.put("tb", new TestBean("juergen", 99));
@@ -126,7 +127,6 @@ protected void processTemplate(Template template, SimpleHash model, HttpServletR
 		};
 		fv.setUrl(TEMPLATE_FILE);
 		fv.setApplicationContext(wac);
-		fv.setExposeSpringMacroHelpers(true);
 
 		Map<String, Object> model = new HashMap<>();
 		model.put(FreeMarkerView.SPRING_MACRO_REQUEST_CONTEXT_ATTRIBUTE, helperTool);
@@ -313,7 +313,7 @@ private String getMacroOutput(String name) throws Exception {
 		Configuration config = fc.getConfiguration();
 		Map<String, Object> model = new HashMap<>();
 		model.put("command", darren);
-		model.put("springMacroRequestContext", rc);
+		model.put(AbstractTemplateView.SPRING_MACRO_REQUEST_CONTEXT_ATTRIBUTE, rc);
 		model.put("msgArgs", new Object[] { "World" });
 		model.put("nameOptionMap", names);
 		model.put("options", names.values());
